Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network134.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
134.0.0.0
Broadcast address
134.127.255.255
First usable
134.0.0.1
Last usable
134.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
B (default /16)
As numbers
Hex 86000000 · Integer 2248146944 to 2256535551
Reverse DNS zones
0.134.in-addr.arpa
1.134.in-addr.arpa
2.134.in-addr.arpa
3.134.in-addr.arpa
4.134.in-addr.arpa
5.134.in-addr.arpa
6.134.in-addr.arpa
7.134.in-addr.arpa
8.134.in-addr.arpa
9.134.in-addr.arpa
10.134.in-addr.arpa
11.134.in-addr.arpa
12.134.in-addr.arpa
13.134.in-addr.arpa
14.134.in-addr.arpa
15.134.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000110.00000000.00000000.00000000134.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network10000110.00000000.00000000.00000000134.0.0.0
Broadcast10000110.01111111.11111111.11111111134.127.255.255
Split into smaller subnets/20

134.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1134.0.0.0/20134.0.0.1 to 134.0.15.254134.0.15.2554,094
2134.0.16.0/20134.0.16.1 to 134.0.31.254134.0.31.2554,094
3134.0.32.0/20134.0.32.1 to 134.0.47.254134.0.47.2554,094
4134.0.48.0/20134.0.48.1 to 134.0.63.254134.0.63.2554,094
5134.0.64.0/20134.0.64.1 to 134.0.79.254134.0.79.2554,094
6134.0.80.0/20134.0.80.1 to 134.0.95.254134.0.95.2554,094
7134.0.96.0/20134.0.96.1 to 134.0.111.254134.0.111.2554,094
8134.0.112.0/20134.0.112.1 to 134.0.127.254134.0.127.2554,094
9134.0.128.0/20134.0.128.1 to 134.0.143.254134.0.143.2554,094
10134.0.144.0/20134.0.144.1 to 134.0.159.254134.0.159.2554,094
11134.0.160.0/20134.0.160.1 to 134.0.175.254134.0.175.2554,094
12134.0.176.0/20134.0.176.1 to 134.0.191.254134.0.191.2554,094
13134.0.192.0/20134.0.192.1 to 134.0.207.254134.0.207.2554,094
14134.0.208.0/20134.0.208.1 to 134.0.223.254134.0.223.2554,094
15134.0.224.0/20134.0.224.1 to 134.0.239.254134.0.239.2554,094
16134.0.240.0/20134.0.240.1 to 134.0.255.254134.0.255.2554,094
17134.1.0.0/20134.1.0.1 to 134.1.15.254134.1.15.2554,094
18134.1.16.0/20134.1.16.1 to 134.1.31.254134.1.31.2554,094
19134.1.32.0/20134.1.32.1 to 134.1.47.254134.1.47.2554,094
20134.1.48.0/20134.1.48.1 to 134.1.63.254134.1.63.2554,094
21134.1.64.0/20134.1.64.1 to 134.1.79.254134.1.79.2554,094
22134.1.80.0/20134.1.80.1 to 134.1.95.254134.1.95.2554,094
23134.1.96.0/20134.1.96.1 to 134.1.111.254134.1.111.2554,094
24134.1.112.0/20134.1.112.1 to 134.1.127.254134.1.127.2554,094
25134.1.128.0/20134.1.128.1 to 134.1.143.254134.1.143.2554,094
26134.1.144.0/20134.1.144.1 to 134.1.159.254134.1.159.2554,094
27134.1.160.0/20134.1.160.1 to 134.1.175.254134.1.175.2554,094
28134.1.176.0/20134.1.176.1 to 134.1.191.254134.1.191.2554,094
29134.1.192.0/20134.1.192.1 to 134.1.207.254134.1.207.2554,094
30134.1.208.0/20134.1.208.1 to 134.1.223.254134.1.223.2554,094
31134.1.224.0/20134.1.224.1 to 134.1.239.254134.1.239.2554,094
32134.1.240.0/20134.1.240.1 to 134.1.255.254134.1.255.2554,094
33134.2.0.0/20134.2.0.1 to 134.2.15.254134.2.15.2554,094
34134.2.16.0/20134.2.16.1 to 134.2.31.254134.2.31.2554,094
35134.2.32.0/20134.2.32.1 to 134.2.47.254134.2.47.2554,094
36134.2.48.0/20134.2.48.1 to 134.2.63.254134.2.63.2554,094
37134.2.64.0/20134.2.64.1 to 134.2.79.254134.2.79.2554,094
38134.2.80.0/20134.2.80.1 to 134.2.95.254134.2.95.2554,094
39134.2.96.0/20134.2.96.1 to 134.2.111.254134.2.111.2554,094
40134.2.112.0/20134.2.112.1 to 134.2.127.254134.2.127.2554,094
41134.2.128.0/20134.2.128.1 to 134.2.143.254134.2.143.2554,094
42134.2.144.0/20134.2.144.1 to 134.2.159.254134.2.159.2554,094
43134.2.160.0/20134.2.160.1 to 134.2.175.254134.2.175.2554,094
44134.2.176.0/20134.2.176.1 to 134.2.191.254134.2.191.2554,094
45134.2.192.0/20134.2.192.1 to 134.2.207.254134.2.207.2554,094
46134.2.208.0/20134.2.208.1 to 134.2.223.254134.2.223.2554,094
47134.2.224.0/20134.2.224.1 to 134.2.239.254134.2.239.2554,094
48134.2.240.0/20134.2.240.1 to 134.2.255.254134.2.255.2554,094
49134.3.0.0/20134.3.0.1 to 134.3.15.254134.3.15.2554,094
50134.3.16.0/20134.3.16.1 to 134.3.31.254134.3.31.2554,094
51134.3.32.0/20134.3.32.1 to 134.3.47.254134.3.47.2554,094
52134.3.48.0/20134.3.48.1 to 134.3.63.254134.3.63.2554,094
53134.3.64.0/20134.3.64.1 to 134.3.79.254134.3.79.2554,094
54134.3.80.0/20134.3.80.1 to 134.3.95.254134.3.95.2554,094
55134.3.96.0/20134.3.96.1 to 134.3.111.254134.3.111.2554,094
56134.3.112.0/20134.3.112.1 to 134.3.127.254134.3.127.2554,094
57134.3.128.0/20134.3.128.1 to 134.3.143.254134.3.143.2554,094
58134.3.144.0/20134.3.144.1 to 134.3.159.254134.3.159.2554,094
59134.3.160.0/20134.3.160.1 to 134.3.175.254134.3.175.2554,094
60134.3.176.0/20134.3.176.1 to 134.3.191.254134.3.191.2554,094
61134.3.192.0/20134.3.192.1 to 134.3.207.254134.3.207.2554,094
62134.3.208.0/20134.3.208.1 to 134.3.223.254134.3.223.2554,094
63134.3.224.0/20134.3.224.1 to 134.3.239.254134.3.239.2554,094
64134.3.240.0/20134.3.240.1 to 134.3.255.254134.3.255.2554,094
65134.4.0.0/20134.4.0.1 to 134.4.15.254134.4.15.2554,094
66134.4.16.0/20134.4.16.1 to 134.4.31.254134.4.31.2554,094
67134.4.32.0/20134.4.32.1 to 134.4.47.254134.4.47.2554,094
68134.4.48.0/20134.4.48.1 to 134.4.63.254134.4.63.2554,094
69134.4.64.0/20134.4.64.1 to 134.4.79.254134.4.79.2554,094
70134.4.80.0/20134.4.80.1 to 134.4.95.254134.4.95.2554,094
71134.4.96.0/20134.4.96.1 to 134.4.111.254134.4.111.2554,094
72134.4.112.0/20134.4.112.1 to 134.4.127.254134.4.127.2554,094
73134.4.128.0/20134.4.128.1 to 134.4.143.254134.4.143.2554,094
74134.4.144.0/20134.4.144.1 to 134.4.159.254134.4.159.2554,094
75134.4.160.0/20134.4.160.1 to 134.4.175.254134.4.175.2554,094
76134.4.176.0/20134.4.176.1 to 134.4.191.254134.4.191.2554,094
77134.4.192.0/20134.4.192.1 to 134.4.207.254134.4.207.2554,094
78134.4.208.0/20134.4.208.1 to 134.4.223.254134.4.223.2554,094
79134.4.224.0/20134.4.224.1 to 134.4.239.254134.4.239.2554,094
80134.4.240.0/20134.4.240.1 to 134.4.255.254134.4.255.2554,094
81134.5.0.0/20134.5.0.1 to 134.5.15.254134.5.15.2554,094
82134.5.16.0/20134.5.16.1 to 134.5.31.254134.5.31.2554,094
83134.5.32.0/20134.5.32.1 to 134.5.47.254134.5.47.2554,094
84134.5.48.0/20134.5.48.1 to 134.5.63.254134.5.63.2554,094
85134.5.64.0/20134.5.64.1 to 134.5.79.254134.5.79.2554,094
86134.5.80.0/20134.5.80.1 to 134.5.95.254134.5.95.2554,094
87134.5.96.0/20134.5.96.1 to 134.5.111.254134.5.111.2554,094
88134.5.112.0/20134.5.112.1 to 134.5.127.254134.5.127.2554,094
89134.5.128.0/20134.5.128.1 to 134.5.143.254134.5.143.2554,094
90134.5.144.0/20134.5.144.1 to 134.5.159.254134.5.159.2554,094
91134.5.160.0/20134.5.160.1 to 134.5.175.254134.5.175.2554,094
92134.5.176.0/20134.5.176.1 to 134.5.191.254134.5.191.2554,094
93134.5.192.0/20134.5.192.1 to 134.5.207.254134.5.207.2554,094
94134.5.208.0/20134.5.208.1 to 134.5.223.254134.5.223.2554,094
95134.5.224.0/20134.5.224.1 to 134.5.239.254134.5.239.2554,094
96134.5.240.0/20134.5.240.1 to 134.5.255.254134.5.255.2554,094
97134.6.0.0/20134.6.0.1 to 134.6.15.254134.6.15.2554,094
98134.6.16.0/20134.6.16.1 to 134.6.31.254134.6.31.2554,094
99134.6.32.0/20134.6.32.1 to 134.6.47.254134.6.47.2554,094
100134.6.48.0/20134.6.48.1 to 134.6.63.254134.6.63.2554,094
101134.6.64.0/20134.6.64.1 to 134.6.79.254134.6.79.2554,094
102134.6.80.0/20134.6.80.1 to 134.6.95.254134.6.95.2554,094
103134.6.96.0/20134.6.96.1 to 134.6.111.254134.6.111.2554,094
104134.6.112.0/20134.6.112.1 to 134.6.127.254134.6.127.2554,094
105134.6.128.0/20134.6.128.1 to 134.6.143.254134.6.143.2554,094
106134.6.144.0/20134.6.144.1 to 134.6.159.254134.6.159.2554,094
107134.6.160.0/20134.6.160.1 to 134.6.175.254134.6.175.2554,094
108134.6.176.0/20134.6.176.1 to 134.6.191.254134.6.191.2554,094
109134.6.192.0/20134.6.192.1 to 134.6.207.254134.6.207.2554,094
110134.6.208.0/20134.6.208.1 to 134.6.223.254134.6.223.2554,094
111134.6.224.0/20134.6.224.1 to 134.6.239.254134.6.239.2554,094
112134.6.240.0/20134.6.240.1 to 134.6.255.254134.6.255.2554,094
113134.7.0.0/20134.7.0.1 to 134.7.15.254134.7.15.2554,094
114134.7.16.0/20134.7.16.1 to 134.7.31.254134.7.31.2554,094
115134.7.32.0/20134.7.32.1 to 134.7.47.254134.7.47.2554,094
116134.7.48.0/20134.7.48.1 to 134.7.63.254134.7.63.2554,094
117134.7.64.0/20134.7.64.1 to 134.7.79.254134.7.79.2554,094
118134.7.80.0/20134.7.80.1 to 134.7.95.254134.7.95.2554,094
119134.7.96.0/20134.7.96.1 to 134.7.111.254134.7.111.2554,094
120134.7.112.0/20134.7.112.1 to 134.7.127.254134.7.127.2554,094
121134.7.128.0/20134.7.128.1 to 134.7.143.254134.7.143.2554,094
122134.7.144.0/20134.7.144.1 to 134.7.159.254134.7.159.2554,094
123134.7.160.0/20134.7.160.1 to 134.7.175.254134.7.175.2554,094
124134.7.176.0/20134.7.176.1 to 134.7.191.254134.7.191.2554,094
125134.7.192.0/20134.7.192.1 to 134.7.207.254134.7.207.2554,094
126134.7.208.0/20134.7.208.1 to 134.7.223.254134.7.223.2554,094
127134.7.224.0/20134.7.224.1 to 134.7.239.254134.7.239.2554,094
128134.7.240.0/20134.7.240.1 to 134.7.255.254134.7.255.2554,094
129134.8.0.0/20134.8.0.1 to 134.8.15.254134.8.15.2554,094
130134.8.16.0/20134.8.16.1 to 134.8.31.254134.8.31.2554,094
131134.8.32.0/20134.8.32.1 to 134.8.47.254134.8.47.2554,094
132134.8.48.0/20134.8.48.1 to 134.8.63.254134.8.63.2554,094
133134.8.64.0/20134.8.64.1 to 134.8.79.254134.8.79.2554,094
134134.8.80.0/20134.8.80.1 to 134.8.95.254134.8.95.2554,094
135134.8.96.0/20134.8.96.1 to 134.8.111.254134.8.111.2554,094
136134.8.112.0/20134.8.112.1 to 134.8.127.254134.8.127.2554,094
137134.8.128.0/20134.8.128.1 to 134.8.143.254134.8.143.2554,094
138134.8.144.0/20134.8.144.1 to 134.8.159.254134.8.159.2554,094
139134.8.160.0/20134.8.160.1 to 134.8.175.254134.8.175.2554,094
140134.8.176.0/20134.8.176.1 to 134.8.191.254134.8.191.2554,094
141134.8.192.0/20134.8.192.1 to 134.8.207.254134.8.207.2554,094
142134.8.208.0/20134.8.208.1 to 134.8.223.254134.8.223.2554,094
143134.8.224.0/20134.8.224.1 to 134.8.239.254134.8.239.2554,094
144134.8.240.0/20134.8.240.1 to 134.8.255.254134.8.255.2554,094
145134.9.0.0/20134.9.0.1 to 134.9.15.254134.9.15.2554,094
146134.9.16.0/20134.9.16.1 to 134.9.31.254134.9.31.2554,094
147134.9.32.0/20134.9.32.1 to 134.9.47.254134.9.47.2554,094
148134.9.48.0/20134.9.48.1 to 134.9.63.254134.9.63.2554,094
149134.9.64.0/20134.9.64.1 to 134.9.79.254134.9.79.2554,094
150134.9.80.0/20134.9.80.1 to 134.9.95.254134.9.95.2554,094
151134.9.96.0/20134.9.96.1 to 134.9.111.254134.9.111.2554,094
152134.9.112.0/20134.9.112.1 to 134.9.127.254134.9.127.2554,094
153134.9.128.0/20134.9.128.1 to 134.9.143.254134.9.143.2554,094
154134.9.144.0/20134.9.144.1 to 134.9.159.254134.9.159.2554,094
155134.9.160.0/20134.9.160.1 to 134.9.175.254134.9.175.2554,094
156134.9.176.0/20134.9.176.1 to 134.9.191.254134.9.191.2554,094
157134.9.192.0/20134.9.192.1 to 134.9.207.254134.9.207.2554,094
158134.9.208.0/20134.9.208.1 to 134.9.223.254134.9.223.2554,094
159134.9.224.0/20134.9.224.1 to 134.9.239.254134.9.239.2554,094
160134.9.240.0/20134.9.240.1 to 134.9.255.254134.9.255.2554,094
161134.10.0.0/20134.10.0.1 to 134.10.15.254134.10.15.2554,094
162134.10.16.0/20134.10.16.1 to 134.10.31.254134.10.31.2554,094
163134.10.32.0/20134.10.32.1 to 134.10.47.254134.10.47.2554,094
164134.10.48.0/20134.10.48.1 to 134.10.63.254134.10.63.2554,094
165134.10.64.0/20134.10.64.1 to 134.10.79.254134.10.79.2554,094
166134.10.80.0/20134.10.80.1 to 134.10.95.254134.10.95.2554,094
167134.10.96.0/20134.10.96.1 to 134.10.111.254134.10.111.2554,094
168134.10.112.0/20134.10.112.1 to 134.10.127.254134.10.127.2554,094
169134.10.128.0/20134.10.128.1 to 134.10.143.254134.10.143.2554,094
170134.10.144.0/20134.10.144.1 to 134.10.159.254134.10.159.2554,094
171134.10.160.0/20134.10.160.1 to 134.10.175.254134.10.175.2554,094
172134.10.176.0/20134.10.176.1 to 134.10.191.254134.10.191.2554,094
173134.10.192.0/20134.10.192.1 to 134.10.207.254134.10.207.2554,094
174134.10.208.0/20134.10.208.1 to 134.10.223.254134.10.223.2554,094
175134.10.224.0/20134.10.224.1 to 134.10.239.254134.10.239.2554,094
176134.10.240.0/20134.10.240.1 to 134.10.255.254134.10.255.2554,094
177134.11.0.0/20134.11.0.1 to 134.11.15.254134.11.15.2554,094
178134.11.16.0/20134.11.16.1 to 134.11.31.254134.11.31.2554,094
179134.11.32.0/20134.11.32.1 to 134.11.47.254134.11.47.2554,094
180134.11.48.0/20134.11.48.1 to 134.11.63.254134.11.63.2554,094
181134.11.64.0/20134.11.64.1 to 134.11.79.254134.11.79.2554,094
182134.11.80.0/20134.11.80.1 to 134.11.95.254134.11.95.2554,094
183134.11.96.0/20134.11.96.1 to 134.11.111.254134.11.111.2554,094
184134.11.112.0/20134.11.112.1 to 134.11.127.254134.11.127.2554,094
185134.11.128.0/20134.11.128.1 to 134.11.143.254134.11.143.2554,094
186134.11.144.0/20134.11.144.1 to 134.11.159.254134.11.159.2554,094
187134.11.160.0/20134.11.160.1 to 134.11.175.254134.11.175.2554,094
188134.11.176.0/20134.11.176.1 to 134.11.191.254134.11.191.2554,094
189134.11.192.0/20134.11.192.1 to 134.11.207.254134.11.207.2554,094
190134.11.208.0/20134.11.208.1 to 134.11.223.254134.11.223.2554,094
191134.11.224.0/20134.11.224.1 to 134.11.239.254134.11.239.2554,094
192134.11.240.0/20134.11.240.1 to 134.11.255.254134.11.255.2554,094
193134.12.0.0/20134.12.0.1 to 134.12.15.254134.12.15.2554,094
194134.12.16.0/20134.12.16.1 to 134.12.31.254134.12.31.2554,094
195134.12.32.0/20134.12.32.1 to 134.12.47.254134.12.47.2554,094
196134.12.48.0/20134.12.48.1 to 134.12.63.254134.12.63.2554,094
197134.12.64.0/20134.12.64.1 to 134.12.79.254134.12.79.2554,094
198134.12.80.0/20134.12.80.1 to 134.12.95.254134.12.95.2554,094
199134.12.96.0/20134.12.96.1 to 134.12.111.254134.12.111.2554,094
200134.12.112.0/20134.12.112.1 to 134.12.127.254134.12.127.2554,094
201134.12.128.0/20134.12.128.1 to 134.12.143.254134.12.143.2554,094
202134.12.144.0/20134.12.144.1 to 134.12.159.254134.12.159.2554,094
203134.12.160.0/20134.12.160.1 to 134.12.175.254134.12.175.2554,094
204134.12.176.0/20134.12.176.1 to 134.12.191.254134.12.191.2554,094
205134.12.192.0/20134.12.192.1 to 134.12.207.254134.12.207.2554,094
206134.12.208.0/20134.12.208.1 to 134.12.223.254134.12.223.2554,094
207134.12.224.0/20134.12.224.1 to 134.12.239.254134.12.239.2554,094
208134.12.240.0/20134.12.240.1 to 134.12.255.254134.12.255.2554,094
209134.13.0.0/20134.13.0.1 to 134.13.15.254134.13.15.2554,094
210134.13.16.0/20134.13.16.1 to 134.13.31.254134.13.31.2554,094
211134.13.32.0/20134.13.32.1 to 134.13.47.254134.13.47.2554,094
212134.13.48.0/20134.13.48.1 to 134.13.63.254134.13.63.2554,094
213134.13.64.0/20134.13.64.1 to 134.13.79.254134.13.79.2554,094
214134.13.80.0/20134.13.80.1 to 134.13.95.254134.13.95.2554,094
215134.13.96.0/20134.13.96.1 to 134.13.111.254134.13.111.2554,094
216134.13.112.0/20134.13.112.1 to 134.13.127.254134.13.127.2554,094
217134.13.128.0/20134.13.128.1 to 134.13.143.254134.13.143.2554,094
218134.13.144.0/20134.13.144.1 to 134.13.159.254134.13.159.2554,094
219134.13.160.0/20134.13.160.1 to 134.13.175.254134.13.175.2554,094
220134.13.176.0/20134.13.176.1 to 134.13.191.254134.13.191.2554,094
221134.13.192.0/20134.13.192.1 to 134.13.207.254134.13.207.2554,094
222134.13.208.0/20134.13.208.1 to 134.13.223.254134.13.223.2554,094
223134.13.224.0/20134.13.224.1 to 134.13.239.254134.13.239.2554,094
224134.13.240.0/20134.13.240.1 to 134.13.255.254134.13.255.2554,094
225134.14.0.0/20134.14.0.1 to 134.14.15.254134.14.15.2554,094
226134.14.16.0/20134.14.16.1 to 134.14.31.254134.14.31.2554,094
227134.14.32.0/20134.14.32.1 to 134.14.47.254134.14.47.2554,094
228134.14.48.0/20134.14.48.1 to 134.14.63.254134.14.63.2554,094
229134.14.64.0/20134.14.64.1 to 134.14.79.254134.14.79.2554,094
230134.14.80.0/20134.14.80.1 to 134.14.95.254134.14.95.2554,094
231134.14.96.0/20134.14.96.1 to 134.14.111.254134.14.111.2554,094
232134.14.112.0/20134.14.112.1 to 134.14.127.254134.14.127.2554,094
233134.14.128.0/20134.14.128.1 to 134.14.143.254134.14.143.2554,094
234134.14.144.0/20134.14.144.1 to 134.14.159.254134.14.159.2554,094
235134.14.160.0/20134.14.160.1 to 134.14.175.254134.14.175.2554,094
236134.14.176.0/20134.14.176.1 to 134.14.191.254134.14.191.2554,094
237134.14.192.0/20134.14.192.1 to 134.14.207.254134.14.207.2554,094
238134.14.208.0/20134.14.208.1 to 134.14.223.254134.14.223.2554,094
239134.14.224.0/20134.14.224.1 to 134.14.239.254134.14.239.2554,094
240134.14.240.0/20134.14.240.1 to 134.14.255.254134.14.255.2554,094
241134.15.0.0/20134.15.0.1 to 134.15.15.254134.15.15.2554,094
242134.15.16.0/20134.15.16.1 to 134.15.31.254134.15.31.2554,094
243134.15.32.0/20134.15.32.1 to 134.15.47.254134.15.47.2554,094
244134.15.48.0/20134.15.48.1 to 134.15.63.254134.15.63.2554,094
245134.15.64.0/20134.15.64.1 to 134.15.79.254134.15.79.2554,094
246134.15.80.0/20134.15.80.1 to 134.15.95.254134.15.95.2554,094
247134.15.96.0/20134.15.96.1 to 134.15.111.254134.15.111.2554,094
248134.15.112.0/20134.15.112.1 to 134.15.127.254134.15.127.2554,094
249134.15.128.0/20134.15.128.1 to 134.15.143.254134.15.143.2554,094
250134.15.144.0/20134.15.144.1 to 134.15.159.254134.15.159.2554,094
251134.15.160.0/20134.15.160.1 to 134.15.175.254134.15.175.2554,094
252134.15.176.0/20134.15.176.1 to 134.15.191.254134.15.191.2554,094
253134.15.192.0/20134.15.192.1 to 134.15.207.254134.15.207.2554,094
254134.15.208.0/20134.15.208.1 to 134.15.223.254134.15.223.2554,094
255134.15.224.0/20134.15.224.1 to 134.15.239.254134.15.239.2554,094
256134.15.240.0/20134.15.240.1 to 134.15.255.254134.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses